<?php
// Enable error reporting
error_reporting(E_ALL);
ini_set('display_errors', 1);

// Database connection
$host = '127.0.0.1';
$db = 'temasa1';
$user = 'root';
$pass = '';

// Create connection
try {
    $pdo = new PDO("mysql:host=$host;dbname=$db", $user, $pass);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $e) {
    die("Could not connect to the database: " . $e->getMessage());
}

// Add or Edit Post
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $post_name = $_POST['post_name'];
    $role = $_POST['role'];
    $printer_count = $_POST['printer_count'];
    $user_name = $_POST['user_name'];
    $password = password_hash($_POST['password'], PASSWORD_BCRYPT);
    $user_status = $_POST['user_status'];

    try {
        if (isset($_POST['edit_post_id']) && !empty($_POST['edit_post_id'])) {
            $post_id = $_POST['edit_post_id'];
            $sql = "UPDATE post_information SET post_name = ?, role = ?, printer_count = ?, user_name = ?, password = ?, user_status = ? WHERE id = ?";
            $stmt = $pdo->prepare($sql);
            $stmt->execute([$post_name, $role, $printer_count, $user_name, $password, $user_status, $post_id]);
            echo "Post updated successfully.";
        } else {
            $sql = "INSERT INTO post_information (post_name, role, printer_count, user_name, password, user_status) VALUES (?, ?, ?, ?, ?, ?)";
            $stmt = $pdo->prepare($sql);
            $stmt->execute([$post_name, $role, $printer_count, $user_name, $password, $user_status]);
            echo "Post created successfully.";
        }
    } catch (PDOException $e) {
        echo "Error: " . $e->getMessage();
    }
}

// Fetch post to edit
$edit_post = null;
if (isset($_GET['edit_post_id'])) {
    $post_id = $_GET['edit_post_id'];
    $sql = "SELECT * FROM post_information WHERE id = ?";
    $stmt = $pdo->prepare($sql);
    $stmt->execute([$post_id]);
    $edit_post = $stmt->fetch();
}
?>

<!DOCTYPE html>
<html lang="en">

<head>
     <!-- Title Meta -->
     <meta charset="utf-8" />
     <title>Dashboard | Venton - Responsive Admin Dashboard Template</title>
     <meta name="viewport" content="width=device-width, initial-scale=1.0">
     <meta name="description" content="A fully responsive premium admin dashboard template" />
     <meta name="author" content="Techzaa" />
     <meta http-equiv="X-UA-Compatible" content="IE=edge" />

     <!-- App favicon -->
     <link rel="shortcut icon" href="https://techzaa.in/venton/assets/images/favicon.ico">

     <!-- Vendor css (Require in all Page) -->
     <link href="https://techzaa.in/venton/assets/css/vendor.min.css" rel="stylesheet" type="text/css" />

     <!-- Icons css (Require in all Page) -->
     <link href="https://techzaa.in/venton/assets/css/icons.min.css" rel="stylesheet" type="text/css" />

     <!-- App css (Require in all Page) -->
     <link href="https://techzaa.in/venton/assets/css/app.min.css" rel="stylesheet" type="text/css" />

     <!-- Theme Config js (Require in all Page) -->
     <script src="https://techzaa.in/venton/assets/js/config.js"></script>
          <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-icons/1.8.1/font/bootstrap-icons.min.css">
</head>

<body>

     <!-- START Wrapper -->
     <div class="wrapper">

            <!-- ========== Topbar Start ========== -->
            <header class="topbar">
               <div class="container-fluid">
                    <div class="navbar-header">
                         <div class="d-flex align-items-center">
                              <!-- Menu Toggle Button -->
                              <div class="topbar-item">
                                   <button type="button" class="button-toggle-menu me-2">
                                        <iconify-icon icon="solar:hamburger-menu-broken" class="fs-24 align-middle"></iconify-icon>
                                   </button>
                              </div>

                              <!-- App Search-->
                              <form class="app-search d-none d-md-block ms-2">
                                   <div class="position-relative">
                                        <input type="search" class="form-control" placeholder="Search..." autocomplete="off" value="">
                                        <iconify-icon icon="solar:magnifer-linear" class="search-widget-icon"></iconify-icon>
                                   </div>
                              </form>
                         </div>

                         <div class="d-flex align-items-center gap-1">

                              <!-- Theme Color (Light/Dark) -->
                              <div class="topbar-item">
                                   <button type="button" class="topbar-button" id="light-dark-mode">
                                        <i class='bx bx-moon fs-24 align-middle'></i>
                                   </button>
                              </div>

                          
                              <!-- User -->
                              <div class="dropdown topbar-item">
                                   <a type="button" class="topbar-button" id="page-header-user-dropdown" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                        <span class="d-flex align-items-center">
                                             <img class="rounded-circle" width="32" src="#" alt="avatar-3">
                                        </span>
                                   </a>
                                   <div class="dropdown-menu dropdown-menu-end">
                                        <!-- item-->
                                        <h6 class="dropdown-header">Welcome user!</h6>
                                        <a class="dropdown-item" href="pages-profile.html">
                                             <i class="bx bx-user-circle text-muted fs-18 align-middle me-1"></i><span class="align-middle">Profile</span>
                                        </a>
                                        <a class="dropdown-item" href="apps-chat.html">
                                             <i class="bx bx-message-dots text-muted fs-18 align-middle me-1"></i><span class="align-middle">Messages</span>
                                        </a>

                                        <a class="dropdown-item" href="pages-pricing.html">
                                             <i class="bx bx-wallet text-muted fs-18 align-middle me-1"></i><span class="align-middle">Pricing</span>
                                        </a>
                                        <a class="dropdown-item" href="pages-faqs.html">
                                             <i class="bx bx-help-circle text-muted fs-18 align-middle me-1"></i><span class="align-middle">Help</span>
                                        </a>
                                        <a class="dropdown-item" href="auth-lock-screen.html">
                                             <i class="bx bx-lock text-muted fs-18 align-middle me-1"></i><span class="align-middle">Lock screen</span>
                                        </a>

                                        <div class="dropdown-divider my-1"></div>

                                        <a class="dropdown-item text-danger" href="auth-signin.html">
                                             <i class="bx bx-log-out fs-18 align-middle me-1"></i><span class="align-middle">Logout</span>
                                        </a>
                                   </div>
                              </div>
                         </div>
                    </div>
               </div>
          </header>

          

        
          <!-- ========== Topbar End ========== -->

          <!-- ========== App Menu Start ========== -->
          <div class="main-nav">
               <!-- Sidebar Logo -->
               <div class="logo-box">
                    <a href="http://localhost/temasa/dashboard_admin.php" class="logo-dark">
                         <img src="https://techzaa.in/venton/assets/images/logo-sm.png" class="logo-sm" alt="logo sm">
                         <img src="#" class="logo-lg" alt="logo dark">
                    </a>

                    <a href="http://localhost/temasa/dashboard_admin.php" class="logo-light">
                         <img src="https://techzaa.in/venton/assets/images/logo-sm.png" class="logo-sm" alt="logo sm">
                         <img src="https://techzaa.in/venton/assets/images/logo-light.png" class="logo-lg" alt="logo light">
                    </a>
               </div>

               <!-- Menu Toggle Button (sm-hover) -->
               <button type="button" class="button-sm-hover" aria-label="Show Full Sidebar">
                    <i class='bx bx-menu button-sm-hover-icon'></i>
               </button>

               <div class="scrollbar" data-simplebar>
                    <ul class="navbar-nav" id="navbar-nav">

                         <li class="menu-title">General</li>

                         <li class="nav-item">
                              <a class="nav-link" href="http://localhost/temasa/dashboard_admin.php">
                                   <span class="nav-icon">
                                        <iconify-icon icon="solar:widget-5-broken"></iconify-icon>
                                   </span>
                                   <span class="nav-text"> Dashboard </span>
                              </a>
                         </li>

                         <li class="nav-item">
                              <a class="nav-link menu-arrow" href="#sidebarProducts" data-bs-toggle="collapse" role="button" aria-expanded="false" aria-controls="sidebarProducts">
                              <span class="nav-icon">
                                        <i class="bi bi-printer"></i>
                            </span>
                                   <span class="nav-text">Impression Management</span>
                              </a>
                              <div class="collapse" id="sidebarProducts">
                                   <ul class="nav sub-navbar-nav">
                                        <li class="sub-nav-item">
                                             <a class="sub-nav-link" href="http://localhost/temasa/define-printers-post.php">Define Printing Posts</a>
                                        </li>
                                        <li class="sub-nav-item">
                                             <a class="sub-nav-link" href="http://localhost/temasa/printer_management.php">Create Printers</a>
                                        </li>
                                        <li class="sub-nav-item">
                                             <a class="sub-nav-link" href="http://localhost/temasa/add-post.php">Post Creation</a>
                                        </li>
                                   </ul>
                              </div>
                         </li>

                         <li class="nav-item">
                        <a class="nav-link menu-arrow" href="#sidebarProducts" data-bs-toggle="collapse" role="button" aria-expanded="false" aria-controls="sidebarProducts">
                        <span class="nav-icon">
                              <i class="bi bi-currency-exchange"></i>
                            </span>
                            <span class="nav-text">Currency Management</span>
                        </a>
                        <div class="collapse" id="sidebarProducts">
                            <ul class="nav sub-navbar-nav">
                                <li class="sub-nav-item">
                                    <a class="sub-nav-link" href="http://localhost/temasa/currency_management.php">Define Currencies</a>
                                </li>
                               
                            </ul>
                        </div>
                    </li>
                    </ul>
               </div>
          </div>
          <!-- ==================================================== -->
          <!-- Start right Content here -->
          <!-- ==================================================== -->
          <div class="page-content">

               <!-- Start Container Fluid -->
               <div class="container-fluid">

                    <!-- ========== Page Title Start ========== -->
                    <div class="row">
                        <div class="col-12">
                            <div class="page-title-box">
                                <h4 class="mb-0 fw-semibold">Role Post</h4>
                            </div>
                        </div>
                    </div>
                    <!-- ========== Page Title End ========== -->

                    <div class="row">
                         <div class="col-lg-12">
                              <div class="card">
                                   <div class="card-header">
                                        <h4 class="card-title">Post Information</h4>
                                   </div>
                                   <div class="card-body">
                                        <div class="row">
                                             <div class="col-lg-6">
                                                  <form action="add-post.php" method="POST">
                                                       <input type="hidden" name="edit_post_id" value="<?php echo $edit_post['id'] ?? ''; ?>">
                                                       <div class="mb-3">
                                                            <label for="post_name" class="form-label">Post Name</label>
                                                            <input type="text" id="post_name" name="post_name" class="form-control" placeholder="Enter post name" value="<?php echo $edit_post['post_name'] ?? ''; ?>" required>
                                                       </div>
                                                       <div class="mb-3">
                                                            <label for="role" class="form-label">Role</label>
                                                            <select class="form-control" id="role" name="role" required>
                                                                 <option value="Manager" <?php echo (isset($edit_post['role']) && $edit_post['role'] == 'Manager') ? 'selected' : ''; ?>>Manager</option>
                                                                 <option value="User" <?php echo (isset($edit_post['role']) && $edit_post['role'] == 'User') ? 'selected' : ''; ?>>User</option>
                                                                 <option value="Admin" <?php echo (isset($edit_post['role']) && $edit_post['role'] == 'Admin') ? 'selected' : ''; ?>>Admin</option>
                                                            </select>
                                                       </div>
                                                       <div class="mb-3">
                                                            <label for="printer_count" class="form-label">Printers</label>
                                                            <select class="form-control" id="printer_count" name="printer_count" required>
                                                                 <option value="1" <?php echo (isset($edit_post['printer_count']) && $edit_post['printer_count'] == '1') ? 'selected' : ''; ?>>1</option>
                                                                 <option value="2" <?php echo (isset($edit_post['printer_count']) && $edit_post['printer_count'] == '2') ? 'selected' : ''; ?>>2</option>
                                                            </select>
                                                       </div>
                                                       <div class="mb-3">
                                                            <label for="user_name" class="form-label">User Name</label>
                                                            <input type="text" id="user_name" name="user_name" class="form-control" placeholder="Enter user name" value="<?php echo $edit_post['user_name'] ?? ''; ?>" required>
                                                       </div>
                                                       <div class="mb-3">
                                                            <label for="password" class="form-label">Password</label>
                                                            <input type="password" id="password" name="password" class="form-control" placeholder="Enter password" required>
                                                       </div>
                                                       <div class="mb-3">
                                                            <p>User Status</p>
                                                            <div class="d-flex gap-2 align-items-center">
                                                                 <div class="form-check">
                                                                      <input class="form-check-input" type="radio" name="user_status" id="active" value="Active" <?php echo (isset($edit_post['user_status']) && $edit_post['user_status'] == 'Active') ? 'checked' : ''; ?>>
                                                                      <label class="form-check-label" for="active">Active</label>
                                                                 </div>
                                                                 <div class="form-check">
                                                                      <input class="form-check-input" type="radio" name="user_status" id="inactive" value="Inactive" <?php echo (isset($edit_post['user_status']) && $edit_post['user_status'] == 'Inactive') ? 'checked' : ''; ?>>
                                                                      <label class="form-check-label" for="inactive">Inactive</label>
                                                                 </div>
                                                            </div>
                                                       </div>
                                                       <button type="submit" class="btn btn-primary">Create Post</button>
                                                  </form>
                                             </div>
                                        </div>
                                   </div>
                                   

<!--create a table of the pstes we have with the actions-->
                              <div class="card overflow-hidden">
                   <div class="card-body p-0">
                       <div class="table-responsive">
                           <table class="table align-middle mb-0 table-hover table-centered">
                               <thead class="bg-light-subtle">
                                   <tr>
                                       <th>ID</th>
                                       <th>Post Name</th>
                                       <th>Role</th>
                                       <th>Printers</th>
                                       <th>User Name</th>
                                       <th>User Status</th>
                                       <th>Action</th>
                                   </tr>
                               </thead>
                               <tbody>
                                   <?php
                                   $sql = "SELECT * FROM post_information";
                                   $stmt = $pdo->prepare($sql);
                                   $stmt->execute();
                                   $posts = $stmt->fetchAll(PDO::FETCH_ASSOC);
                                   foreach ($posts as $post): ?>
                                       <tr>
                                           <td><?php echo $post['id']; ?></td>
                                           <td><?php echo $post['post_name']; ?></td>
                                           <td><?php echo $post['role']; ?></td>
                                           <td><?php echo $post['printer_count']; ?></td>
                                           <td><?php echo $post['user_name']; ?></td>
                                           <td><?php echo $post['user_status']; ?></td>
                                           <td>
                                               <div class="d-flex gap-2">
                                                   <a href="add-post.php?edit_post_id=<?php echo $post['id']; ?>" class="btn btn-light btn-sm">
                                                       <iconify-icon icon="solar:pen-2-broken" class="align-middle fs-18"></iconify-icon>
                                                   </a>
                                                   <a href="add-post.php?delete_post_id=<?php echo $post['id']; ?>" class="btn btn-soft-primary btn-sm">
                                                       <iconify-icon icon="solar:trash-bin-minimalistic-2-broken" class="align-middle fs-18"></iconify-icon>
                                                   </a>
                                               </div>
                                           </td>
                                       </tr>
                                   <?php endforeach; ?>
                               </tbody>
                           </table>
                       </div>
                       <!-- end table-responsive -->
                   </div>
                   <div class="row g-0 align-items-center justify-content-between text-center text-sm-start p-3 border-top">
                       <div class="col-sm">
                           <div class="text-muted">
                               Showing <span class="fw-semibold">10</span> of <span class="fw-semibold">59</span> Results
                           </div>
                       </div>
                       <div class="col-sm-auto mt-3 mt-sm-0">
                           <ul class="pagination m-0">
                               <li class="page-item">
                                   <a href="#" class="page-link"><i class="bx bx-left-arrow-alt"></i></a>
                               </li>
                               <li class="page-item active">
                                   <a href="#" class="page-link">1</a>
                               </li>
                               <li class="page-item">
                                   <a href="#" class="page-link">2</a>
                               </li>
                               <li class="page-item">
                                   <a href="#" class="page-link">3</a>
                               </li>
                               <li class="page-item">
                                   <a href="#" class="page-link"><i class="bx bx-right-arrow-alt"></i></a>
                               </li>
                           </ul>
                       </div>
                   </div>
               </div>


                              </div>
                         </div>
                    </div>
               </div>
               <!-- End Container Fluid -->

               <!-- ========== Footer Start ========== -->
               <footer class="footer">
                   <div class="container-fluid">
                       <div class="row">
                           <div class="col-12 text-center">
                               <script>document.write(new Date().getFullYear())</script> &copy; Venton. Crafted by <iconify-icon icon="iconamoon:heart-duotone" class="fs-18 align-middle text-danger"></iconify-icon> <a
                                   href="" class="fw-bold footer-text" target="_blank">Techzaa</a>
                           </div>
                       </div>
                   </div>
               </footer>
               <!-- ========== Footer End ========== -->

          </div>
          <!-- ==================================================== -->
          <!-- End Page Content -->
          <!-- ==================================================== -->

     </div>
     <!-- END Wrapper -->

     <!-- Vendor Javascript (Require in all Page) -->
     <script src="https://techzaa.in/venton/assets/js/vendor.js"></script>

     <!-- App Javascript (Require in all Page) -->
     <script src="https://techzaa.in/venton/assets/js/app.js"></script>

     <!-- Vector Map Js -->
     <script src="https://techzaa.in/venton/assets/vendor/jsvectormap/js/jsvectormap.min.js"></script>
     <script src="https://techzaa.in/venton/assets/vendor/jsvectormap/maps/world-merc.js"></script>
     <script src="https://techzaa.in/venton/assets/vendor/jsvectormap/maps/world.js"></script>

     <!-- Dashboard Js -->
     <script src="https://techzaa.in/venton/assets/js/pages/dashboard.js"></script>

</body>

</html>