<?php
// Database connection
$host = 'localhost';
$db = 'temasa1';
$user = 'root';
$pass = '';

// Create connection
$pdo = new PDO("mysql:host=$host;dbname=$db", $user, $pass);
$pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

// Insert currency if form is submitted
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['currency_name'])) {
    $currency_name = $_POST['currency_name'];
    $currency_symbol = $_POST['currency_symbol'];
    $currency_code = $_POST['currency_code'];

    // Insert the currency into the database
    $sql = "INSERT INTO currencies (name, symbol, code) VALUES (?, ?, ?)";
    $stmt = $pdo->prepare($sql);
    $stmt->execute([$currency_name, $currency_symbol, $currency_code]);
}

// Edit currency if form is submitted (for editing existing currencies)
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['edit_currency_id'])) {
    $currency_id = $_POST['edit_currency_id'];
    $currency_name = $_POST['currency_name'];
    $currency_symbol = $_POST['currency_symbol'];
    $currency_code = $_POST['currency_code'];

    $sql = "UPDATE currencies SET name = ?, symbol = ?, code = ? WHERE id = ?";
    $stmt = $pdo->prepare($sql);
    $stmt->execute([$currency_name, $currency_symbol, $currency_code, $currency_id]);
}

// Delete currency if delete button is clicked
if (isset($_GET['delete_currency_id'])) {
    $currency_id = $_GET['delete_currency_id'];
    $sql = "DELETE FROM currencies WHERE id = ?";
    $stmt = $pdo->prepare($sql);
    $stmt->execute([$currency_id]);
}

// Fetch all currencies
$sql = "SELECT * FROM currencies";
$stmt = $pdo->query($sql);
$currencies = $stmt->fetchAll();
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8" />
    <title>Dashboard | Venton - Responsive Admin Dashboard Template</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="A fully responsive premium admin dashboard template" />
    <meta name="author" content="Techzaa" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <link rel="shortcut icon" href="https://techzaa.in/venton/assets/images/favicon.ico">
    <link href="https://techzaa.in/venton/assets/css/vendor.min.css" rel="stylesheet" type="text/css" />
    <link href="https://techzaa.in/venton/assets/css/icons.min.css" rel="stylesheet" type="text/css" />
    <link href="https://techzaa.in/venton/assets/css/app.min.css" rel="stylesheet" type="text/css" />
    <script src="https://techzaa.in/venton/assets/js/config.js"></script>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-icons/1.8.1/font/bootstrap-icons.min.css">
</head>

<body>
    <div class="wrapper">
        <header class="topbar">
            <div class="container-fluid">
                <div class="navbar-header">
                    <div class="d-flex align-items-center">
                        <div class="topbar-item">
                            <button type="button" class="button-toggle-menu me-2">
                                <iconify-icon icon="solar:hamburger-menu-broken" class="fs-24 align-middle"></iconify-icon>
                            </button>
                        </div>
                        <form class="app-search d-none d-md-block ms-2">
                            <div class="position-relative">
                                <input type="search" class="form-control" placeholder="Search..." autocomplete="off" value="">
                                <iconify-icon icon="solar:magnifer-linear" class="search-widget-icon"></iconify-icon>
                            </div>
                        </form>
                    </div>
                    <div class="d-flex align-items-center gap-1">
                        <div class="topbar-item">
                            <button type="button" class="topbar-button" id="light-dark-mode">
                                <i class='bx bx-moon fs-24 align-middle'></i>
                            </button>
                        </div>
                        <div class="dropdown topbar-item">
                            <a type="button" class="topbar-button" id="page-header-user-dropdown" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <span class="d-flex align-items-center">
                                    <img class="rounded-circle" width="32" src="#" alt="avatar-3">
                                </span>
                            </a>
                            <div class="dropdown-menu dropdown-menu-end">
                                <h6 class="dropdown-header">Welcome user!</h6>
                                <a class="dropdown-item" href="pages-profile.html">
                                    <i class="bx bx-user-circle text-muted fs-18 align-middle me-1"></i><span class="align-middle">Profile</span>
                                </a>
                                <a class="dropdown-item" href="apps-chat.html">
                                    <i class="bx bx-message-dots text-muted fs-18 align-middle me-1"></i><span class="align-middle">Messages</span>
                                </a>
                                <a class="dropdown-item" href="pages-pricing.html">
                                    <i class="bx bx-wallet text-muted fs-18 align-middle me-1"></i><span class="align-middle">Pricing</span>
                                </a>
                                <a class="dropdown-item" href="pages-faqs.html">
                                    <i class="bx bx-help-circle text-muted fs-18 align-middle me-1"></i><span class="align-middle">Help</span>
                                </a>
                                <a class="dropdown-item" href="auth-lock-screen.html">
                                    <i class="bx bx-lock text-muted fs-18 align-middle me-1"></i><span class="align-middle">Lock screen</span>
                                </a>
                                <div class="dropdown-divider my-1"></div>
                                <a class="dropdown-item text-danger" href="auth-signin.html">
                                    <i class="bx bx-log-out fs-18 align-middle me-1"></i><span class="align-middle">Logout</span>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </header>

        <div class="main-nav">
            <div class="logo-box">
                <a href="http://localhost/temasa/dashboard_admin.php" class="logo-dark">
                    <img src="https://techzaa.in/venton/assets/images/logo-sm.png" class="logo-sm" alt="logo sm">
                    <img src="#" class="logo-lg" alt="logo dark">
                </a>
                <a href="http://localhost/temasa/dashboard_admin.php" class="logo-light">
                    <img src="https://techzaa.in/venton/assets/images/logo-sm.png" class="logo-sm" alt="logo sm">
                    <img src="https://techzaa.in/venton/assets/images/logo-light.png" class="logo-lg" alt="logo light">
                </a>
            </div>
            <button type="button" class="button-sm-hover" aria-label="Show Full Sidebar">
                <i class='bx bx-menu button-sm-hover-icon'></i>
            </button>
            <div class="scrollbar" data-simplebar>
                <ul class="navbar-nav" id="navbar-nav">
                    <li class="menu-title">General</li>
                    <li class="nav-item">
                        <a class="nav-link" href="http://localhost/temasa/dashboard_admin.php">
                            <span class="nav-icon">
                                <iconify-icon icon="solar:widget-5-broken"></iconify-icon>
                            </span>
                            <span class="nav-text"> Dashboard </span>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link menu-arrow" href="#sidebarProducts" data-bs-toggle="collapse" role="button" aria-expanded="false" aria-controls="sidebarProducts">
                            <span class="nav-icon">
                                        <i class="bi bi-printer"></i>
                            </span>
                            <span class="nav-text">Impression Management</span>
                        </a>
                        <div class="collapse" id="sidebarProducts">
                            <ul class="nav sub-navbar-nav">
                                <li class="sub-nav-item">
                                    <a class="sub-nav-link" href="http://localhost/temasa/define-printers-post.php">Define Printing Posts</a>
                                </li>
                                <li class="sub-nav-item">
                                    <a class="sub-nav-link" href="http://localhost/temasa/printer_management.php">Create Printers</a>
                                </li>
                                <li class="sub-nav-item">
                                    <a class="sub-nav-link" href="http://localhost/temasa/add-post.php">Post Creation</a>
                                </li>
                            </ul>
                        </div>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link menu-arrow" href="#sidebarProducts" data-bs-toggle="collapse" role="button" aria-expanded="false" aria-controls="sidebarProducts">
                            <span class="nav-icon">
                              <i class="bi bi-currency-exchange"></i>
                            </span>
                            <span class="nav-text">Currency Management</span>
                        </a>
                        <div class="collapse" id="sidebarProducts">
                            <ul class="nav sub-navbar-nav">
                                <li class="sub-nav-item">
                                    <a class="sub-nav-link" href="http://localhost/temasa/define-printers-post.php">Define Printing Posts</a>
                                </li>
                               
                            </ul>
                        </div>
                    </li>
                </ul>
            </div>
        </div>

        <div class="page-content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="page-title-box">
                            <h4 class="mb-0 fw-semibold">Currencies Creation</h4>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-lg-12">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title">Currencies</h4>
                            </div>
                            <div class="card-body">

        <form action="currency_management.php" method="POST">
            <div class="mb-3">
                <label for="currency_name" class="form-label">Currency Name</label>
                <input type="text" class="form-control" id="currency_name" name="currency_name" required>
            </div>
            <div class="mb-3">
                <label for="currency_symbol" class="form-label">Currency Symbol</label>
                <input type="text" class="form-control" id="currency_symbol" name="currency_symbol" required>
            </div>
            <div class="mb-3">
                <label for="currency_code" class="form-label">Currency Code</label>
                <input type="text" class="form-control" id="currency_code" name="currency_code" required>
            </div>
            <button type="submit" class="btn btn-primary">Add Currency</button>
        </form>

        <!-- Display Saved Currencies -->
        <h2 class="mt-5">Saved Currencies</h2>
        <table class="table mt-3">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>Currency Name</th>
                    <th>Currency Symbol</th>
                    <th>Currency Code</th>
                    <th>Created At</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($currencies as $currency): ?>
                    <tr>
                        <td><?php echo $currency['id']; ?></td>
                        <td><?php echo $currency['name']; ?></td>
                        <td><?php echo $currency['symbol']; ?></td>
                        <td><?php echo $currency['code']; ?></td>
                        <td><?php echo $currency['created_at']; ?></td>
                        <td>
                            <!-- Edit Button -->
                            <a href="currency_management.php?edit_currency_id=<?php echo $currency['id']; ?>" class="btn btn-warning btn-sm">
                                <i class="bi bi-pencil"></i> Edit
                            </a>
                            <!-- Delete Button -->
                            <a href="currency_management.php?delete_currency_id=<?php echo $currency['id']; ?>" class="btn btn-danger btn-sm" onclick="return confirm('Are you sure you want to delete this currency?');">
                                <i class="bi bi-trash"></i> Delete
                            </a>
                        </td>
                    </tr>
                <?php endforeach; ?>
            </tbody>
        </table>

        <!-- Edit Currency Form (Visible when editing) -->
        <?php if (isset($_GET['edit_currency_id'])): ?>
            <?php 
                $currency_id = $_GET['edit_currency_id'];
                $sql = "SELECT * FROM currencies WHERE id = ?";
                $stmt = $pdo->prepare($sql);
                $stmt->execute([$currency_id]);
                $currency = $stmt->fetch();
            ?>
            <h2>Edit Currency</h2>
            <form action="currency_management.php" method="POST">
                <div class="mb-3">
                    <label for="currency_name" class="form-label">Currency Name</label>
                    <input type="text" class="form-control" id="currency_name" name="currency_name" value="<?php echo $currency['name']; ?>" required>
                </div>
                <div class="mb-3">
                    <label for="currency_symbol" class="form-label">Currency Symbol</label>
                    <input type="text" class="form-control" id="currency_symbol" name="currency_symbol" value="<?php echo $currency['symbol']; ?>" required>
                </div>
                <div class="mb-3">
                    <label for="currency_code" class="form-label">Currency Code</label>
                    <input type="text" class="form-control" id="currency_code" name="currency_code" value="<?php echo $currency['code']; ?>" required>
                </div>
                <input type="hidden" name="edit_currency_id" value="<?php echo $currency['id']; ?>">
                <button type="submit" class="btn btn-success">Update Currency</button>
            </form>
        <?php endif; ?>
    </div>
      </div>
    </div>

  <footer class="footer">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-12 text-center">
                            <script>document.write(new Date().getFullYear())</script> &copy; Venton. Crafted by <iconify-icon icon="iconamoon:heart-duotone" class="fs-18 align-middle text-danger"></iconify-icon> <a href="" class="fw-bold footer-text" target="_blank">Techzaa</a>
                        </div>
                    </div>
                </div>
            </footer>
        </div>
    </div>

    <script src="https://techzaa.in/venton/assets/js/vendor.js"></script>
    <script src="https://techzaa.in/venton/assets/js/app.js"></script>
    <script src="https://techzaa.in/venton/assets/vendor/jsvectormap/js/jsvectormap.min.js"></script>
    <script src="https://techzaa.in/venton/assets/vendor/jsvectormap/maps/world-merc.js"></script>
    <script src="https://techzaa.in/venton/assets/vendor/jsvectormap/maps/world.js"></script>
    <script src="https://techzaa.in/venton/assets/js/pages/dashboard.js"></script>
   
</body>

</html>