<?php
// Enable error reporting
error_reporting(E_ALL);
ini_set('display_errors', 1);

// Start session
session_start();

// Database connection
$host = '127.0.0.1';
$db = 'temasa1';
$user = 'root';
$pass = '';

// Create connection
try {
    $pdo = new PDO("mysql:host=$host;dbname=$db", $user, $pass);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $e) {
    die("Could not connect to the database: " . $e->getMessage());
}

// Fetch posts and printers
$posts = $pdo->query("SELECT id, post_name, printer_count FROM post_information")->fetchAll(PDO::FETCH_ASSOC);
$printers = $pdo->query("SELECT id, name FROM printers")->fetchAll(PDO::FETCH_ASSOC);

// Handle form submission
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $post_id = $_POST['post_id'];
    $printer_r = $_POST['printer_r'];
    $printer_v = $_POST['printer_v'];

    try {
        if ($printer_r) {
            $stmt = $pdo->prepare("INSERT INTO post_printers (post_id, printer_id, assignment) VALUES (?, ?, 'R')");
            $stmt->execute([$post_id, $printer_r]);
        }
        if ($printer_v) {
            $stmt = $pdo->prepare("INSERT INTO post_printers (post_id, printer_id, assignment) VALUES (?, ?, 'V')");
            $stmt->execute([$post_id, $printer_v]);
        }
        $message = "Post-printer assignments saved successfully.";
    } catch (PDOException $e) {
        $message = "Error: " . $e->getMessage();
    }
}

// Fetch assigned printers to disable them in the form
$assigned_printers = $pdo->query("SELECT printer_id FROM post_printers")->fetchAll(PDO::FETCH_COLUMN);
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8" />
    <title>Dashboard | Venton - Responsive Admin Dashboard Template</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="A fully responsive premium admin dashboard template" />
    <meta name="author" content="Techzaa" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <link rel="shortcut icon" href="https://techzaa.in/venton/assets/images/favicon.ico">
    <link href="https://techzaa.in/venton/assets/css/vendor.min.css" rel="stylesheet" type="text/css" />
    <link href="https://techzaa.in/venton/assets/css/icons.min.css" rel="stylesheet" type="text/css" />
    <link href="https://techzaa.in/venton/assets/css/app.min.css" rel="stylesheet" type="text/css" />
    <script src="https://techzaa.in/venton/assets/js/config.js"></script>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-icons/1.8.1/font/bootstrap-icons.min.css">
</head>

<body>
    <div class="wrapper">
        <header class="topbar">
            <div class="container-fluid">
                <div class="navbar-header">
                    <div class="d-flex align-items-center">
                        <div class="topbar-item">
                            <button type="button" class="button-toggle-menu me-2">
                                <iconify-icon icon="solar:hamburger-menu-broken" class="fs-24 align-middle"></iconify-icon>
                            </button>
                        </div>
                        <form class="app-search d-none d-md-block ms-2">
                            <div class="position-relative">
                                <input type="search" class="form-control" placeholder="Search..." autocomplete="off" value="">
                                <iconify-icon icon="solar:magnifer-linear" class="search-widget-icon"></iconify-icon>
                            </div>
                        </form>
                    </div>
                    <div class="d-flex align-items-center gap-1">
                        <div class="topbar-item">
                            <button type="button" class="topbar-button" id="light-dark-mode">
                                <i class='bx bx-moon fs-24 align-middle'></i>
                            </button>
                        </div>
                        <div class="dropdown topbar-item">
                            <a type="button" class="topbar-button" id="page-header-user-dropdown" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <span class="d-flex align-items-center">
                                    <img class="rounded-circle" width="32" src="#" alt="avatar-3">
                                </span>
                            </a>
                            <div class="dropdown-menu dropdown-menu-end">
                                <h6 class="dropdown-header">Welcome user!</h6>
                                <a class="dropdown-item" href="pages-profile.html">
                                    <i class="bx bx-user-circle text-muted fs-18 align-middle me-1"></i><span class="align-middle">Profile</span>
                                </a>
                                <a class="dropdown-item" href="apps-chat.html">
                                    <i class="bx bx-message-dots text-muted fs-18 align-middle me-1"></i><span class="align-middle">Messages</span>
                                </a>
                                <a class="dropdown-item" href="pages-pricing.html">
                                    <i class="bx bx-wallet text-muted fs-18 align-middle me-1"></i><span class="align-middle">Pricing</span>
                                </a>
                                <a class="dropdown-item" href="pages-faqs.html">
                                    <i class="bx bx-help-circle text-muted fs-18 align-middle me-1"></i><span class="align-middle">Help</span>
                                </a>
                                <a class="dropdown-item" href="auth-lock-screen.html">
                                    <i class="bx bx-lock text-muted fs-18 align-middle me-1"></i><span class="align-middle">Lock screen</span>
                                </a>
                                <div class="dropdown-divider my-1"></div>
                                <a class="dropdown-item text-danger" href="auth-signin.html">
                                    <i class="bx bx-log-out fs-18 align-middle me-1"></i><span class="align-middle">Logout</span>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </header>

        <div class="main-nav">
            <div class="logo-box">
                <a href="http://localhost/temasa/dashboard_admin.php" class="logo-dark">
                    <img src="https://techzaa.in/venton/assets/images/logo-sm.png" class="logo-sm" alt="logo sm">
                    <img src="#" class="logo-lg" alt="logo dark">
                </a>
                <a href="http://localhost/temasa/dashboard_admin.php" class="logo-light">
                    <img src="https://techzaa.in/venton/assets/images/logo-sm.png" class="logo-sm" alt="logo sm">
                    <img src="https://techzaa.in/venton/assets/images/logo-light.png" class="logo-lg" alt="logo light">
                </a>
            </div>
            <button type="button" class="button-sm-hover" aria-label="Show Full Sidebar">
                <i class='bx bx-menu button-sm-hover-icon'></i>
            </button>
            <div class="scrollbar" data-simplebar>
                <ul class="navbar-nav" id="navbar-nav">
                    <li class="menu-title">General</li>
                    <li class="nav-item">
                        <a class="nav-link" href="http://localhost/temasa/dashboard_admin.php">
                            <span class="nav-icon">
                                <iconify-icon icon="solar:widget-5-broken"></iconify-icon>
                            </span>
                            <span class="nav-text"> Dashboard </span>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link menu-arrow" href="#sidebarProducts" data-bs-toggle="collapse" role="button" aria-expanded="false" aria-controls="sidebarProducts">
                        <span class="nav-icon">
                                        <i class="bi bi-printer"></i>
                            </span>
                            <span class="nav-text">Impression Management</span>
                        </a>
                        <div class="collapse" id="sidebarProducts">
                            <ul class="nav sub-navbar-nav">
                                <li class="sub-nav-item">
                                    <a class="sub-nav-link" href="http://localhost/temasa/define-printers-post.php">Define Printing Posts</a>
                                </li>
                                <li class="sub-nav-item">
                                    <a class="sub-nav-link" href="http://localhost/temasa/printer_management.php">Create Printers</a>
                                </li>
                                <li class="sub-nav-item">
                                    <a class="sub-nav-link" href="http://localhost/temasa/add-post.php">Post Creation</a>
                                </li>
                            </ul>
                        </div>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link menu-arrow" href="#sidebarProducts" data-bs-toggle="collapse" role="button" aria-expanded="false" aria-controls="sidebarProducts">
                        <span class="nav-icon">
                              <i class="bi bi-currency-exchange"></i>
                            </span>
                            <span class="nav-text">Currency Management</span>
                        </a>
                        <div class="collapse" id="sidebarProducts">
                            <ul class="nav sub-navbar-nav">
                                <li class="sub-nav-item">
                                <a class="sub-nav-link" href="http://localhost/temasa/currency_management.php">Define Currencies</a>
                                </li>
                               
                            </ul>
                        </div>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link menu-arrow" href="#sidebarProducts" data-bs-toggle="collapse" role="button" aria-expanded="false" aria-controls="sidebarProducts">
                                                <span class="nav-icon">
                            <i class="bi bi-file-earmark-text"></i>
                        </span>
                            <span class="nav-text">Template Management</span>
                        </a>
                        <div class="collapse" id="sidebarProducts">
                            <ul class="nav sub-navbar-nav">
                                <li class="sub-nav-item">
                                <a class="sub-nav-link" href="http://localhost/temasa/templates_management.php">Define Templates</a>
                                </li>
                               
                            </ul>
                        </div>
                    </li>
                </ul>
            </div>
        </div>

        <div class="page-content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="page-title-box">
                            <h4 class="mb-0 fw-semibold">Posts Creation</h4>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-lg-12">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title">Post - Printer</h4>
                            </div>
                            <div class="card-body">
                                <?php if (isset($message)): ?>
                                    <div class="alert alert-info"><?php echo $message; ?></div>
                                <?php endif; ?>
                                <form method="POST">
                                    <div class="row">
                                        <div class="col-lg-6">
                                            <div class="mb-3">
                                                <label for="post_id" class="form-label">Posts</label>
                                                <select class="form-control" id="post_id" name="post_id" required>
                                                    <?php foreach ($posts as $post): ?>
                                                        <option value="<?php echo $post['id']; ?>" data-printer-count="<?php echo $post['printer_count']; ?>"><?php echo $post['post_name']; ?></option>
                                                    <?php endforeach; ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-lg-6">
                                            <div class="mb-3">
                                                <label for="printer_r" class="form-label">Printer R</label>
                                                <select class="form-control" id="printer_r" name="printer_r" required>
                                                    <option value="">Select Printer</option>
                                                    <?php foreach ($printers as $printer): ?>
                                                        <option value="<?php echo $printer['id']; ?>" <?php echo in_array($printer['id'], $assigned_printers) ? 'disabled' : ''; ?>><?php echo $printer['name']; ?></option>
                                                    <?php endforeach; ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-lg-6">
                                            <div class="mb-3">
                                                <label for="printer_v" class="form-label">Printer V</label>
                                                <select class="form-control" id="printer_v" name="printer_v" required>
                                                    <option value="">Select Printer</option>
                                                    <?php foreach ($printers as $printer): ?>
                                                        <option value="<?php echo $printer['id']; ?>" <?php echo in_array($printer['id'], $assigned_printers) ? 'disabled' : ''; ?>><?php echo $printer['name']; ?></option>
                                                    <?php endforeach; ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-lg-6">
                                            <p>Post Status</p>
                                            <div class="d-flex gap-2 align-items-center">
                                                <div class="form-check">
                                                    <input class="form-check-input" type="radio" name="post_status" id="active" value="Active" checked>
                                                    <label class="form-check-label" for="active">Active</label>
                                                </div>
                                                <div class="form-check">
                                                    <input class="form-check-input" type="radio" name="post_status" id="inactive" value="Inactive">
                                                    <label class="form-check-label" for="inactive">Inactive</label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card-footer border-top">
                                        <button type="submit" class="btn btn-primary">Create Post - Printer</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
    <div class="col-lg-12">
        <div class="card">
            <div class="card-header">
                <h4 class="card-title">Post - Printer Assignments</h4>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table class="table align-middle mb-0 table-hover table-centered">
                        <thead class="bg-light-subtle">
                            <tr>
                                <th>Post ID</th>
                                <th>Post Name</th>
                                <th>Printer R</th>
                                <th>Printer V</th>
                                <th>Status</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $sql = "SELECT pi.id as post_id, pi.post_name, pr1.name as printer_r, pr2.name as printer_v, pi.user_status as status
                                    FROM post_information pi
                                    LEFT JOIN post_printers pp1 ON pi.id = pp1.post_id AND pp1.assignment = 'R'
                                    LEFT JOIN printers pr1 ON pp1.printer_id = pr1.id
                                    LEFT JOIN post_printers pp2 ON pi.id = pp2.post_id AND pp2.assignment = 'V'
                                    LEFT JOIN printers pr2 ON pp2.printer_id = pr2.id";
                            $stmt = $pdo->prepare($sql);
                            $stmt->execute();
                            $assignments = $stmt->fetchAll(PDO::FETCH_ASSOC);
                            foreach ($assignments as $assignment): ?>
                                <tr>
                                    <td><?php echo $assignment['post_id']; ?></td>
                                    <td><?php echo $assignment['post_name']; ?></td>
                                    <td><?php echo $assignment['printer_r']; ?></td>
                                    <td><?php echo $assignment['printer_v']; ?></td>
                                    <td><?php echo $assignment['status']; ?></td>
                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                    </table>
                </div>
                <!-- end table-responsive -->
            </div>
        </div>
    </div>
</div>
            <footer class="footer">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-12 text-center">
                            <script>document.write(new Date().getFullYear())</script> &copy; Venton. Crafted by <iconify-icon icon="iconamoon:heart-duotone" class="fs-18 align-middle text-danger"></iconify-icon> <a href="" class="fw-bold footer-text" target="_blank">Techzaa</a>
                        </div>
                    </div>
                </div>
            </footer>
        </div>
    </div>

    <script src="https://techzaa.in/venton/assets/js/vendor.js"></script>
    <script src="https://techzaa.in/venton/assets/js/app.js"></script>
    <script src="https://techzaa.in/venton/assets/vendor/jsvectormap/js/jsvectormap.min.js"></script>
    <script src="https://techzaa.in/venton/assets/vendor/jsvectormap/maps/world-merc.js"></script>
    <script src="https://techzaa.in/venton/assets/vendor/jsvectormap/maps/world.js"></script>
    <script src="https://techzaa.in/venton/assets/js/pages/dashboard.js"></script>
    <script>
        document.getElementById('post_id').addEventListener('change', function() {
            var selectedOption = this.options[this.selectedIndex];
            var printerCount = selectedOption.getAttribute('data-printer-count');
            var printerVSelect = document.getElementById('printer_v');

            if (printerCount == 1) {
                printerVSelect.disabled = true;
            } else {
                printerVSelect.disabled = false;
            }
        });
    </script>
</body>

</html>