<?php
session_start();
require_once 'db_config.php'; // Include your DB configuration

$response = [];

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $user_name = $_POST['user_name'];
    $password = $_POST['password'];

    // Validate input
    if (empty($user_name) || empty($password)) {
        $response['success'] = false;
        $response['message'] = 'Both fields are required';
        echo json_encode($response); // Ensure the response is JSON
        exit();
    }

    // Query the database for the user by user_name
    $stmt = $pdo->prepare("SELECT * FROM users WHERE user_name = :user_name");
    $stmt->execute(['user_name' => $user_name]);
    $user = $stmt->fetch();

    if ($user && password_verify($password, $user['password'])) {
        // Successful login
        $_SESSION['user_id'] = $user['id'];
        $_SESSION['user_name'] = $user['user_name'];
        $_SESSION['role'] = $user['role'];

        // Return success and user role
        $response['success'] = true;
        $response['role'] = $user['role'];
        echo json_encode($response); // Return response as JSON
        exit();
    } else {
        // Invalid login
        $response['success'] = false;
        $response['message'] = 'Invalid username or password';
        echo json_encode($response); // Return response as JSON
        exit();
    }
}
?>
