<?php
// Database connection
$host = '127.0.0.1';
$db = 'temasa1';
$user = 'root';
$pass = '';

// Create connection
$pdo = new PDO("mysql:host=$host;dbname=$db", $user, $pass);
$pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

// Add or Edit Printer
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $name = $_POST['name'];
    $description = $_POST['description'];
    $path = $_POST['path'];
    $status = $_POST['status'];

    if (isset($_POST['edit_post_id'])) {
        $post_id = $_POST['edit_post_id'];
        $sql = "UPDATE printers SET name = ?, description = ?, path = ?, status = ? WHERE id = ?";
        $stmt = $pdo->prepare($sql);
        $stmt->execute([$name, $description, $path, $status, $post_id]);
    } else {
        $sql = "INSERT INTO printers (name, description, path, status) VALUES (?, ?, ?, ?)";
        $stmt = $pdo->prepare($sql);
        $stmt->execute([$name, $description, $path, $status]);
    }
}

// Delete Printer
if (isset($_GET['delete_post_id'])) {
    $post_id = $_GET['delete_post_id'];
    $sql = "DELETE FROM printers WHERE id = ?";
    $stmt = $pdo->prepare($sql);
    $stmt->execute([$post_id]);
}

// Fetch all printers
$sql = "SELECT * FROM printers";
$stmt = $pdo->query($sql);
$printers = $stmt->fetchAll();

// Fetch printer to edit
$edit_printer = null;
if (isset($_GET['edit_post_id'])) {
    $post_id = $_GET['edit_post_id'];
    $sql = "SELECT * FROM printers WHERE id = ?";
    $stmt = $pdo->prepare($sql);
    $stmt->execute([$post_id]);
    $edit_printer = $stmt->fetch();
}
?>
<!DOCTYPE html>
<html lang="en">

<head>
     <!-- Title Meta -->
     <meta charset="utf-8" />
     <title>Dashboard | Venton - Responsive Admin Dashboard Template</title>
     <meta name="viewport" content="width=device-width, initial-scale=1.0">
     <meta name="description" content="A fully responsive premium admin dashboard template" />
     <meta name="author" content="Techzaa" />
     <meta http-equiv="X-UA-Compatible" content="IE=edge" />

     <!-- App favicon -->
     <link rel="shortcut icon" href="https://techzaa.in/venton/assets/images/favicon.ico">

     <!-- Vendor css (Require in all Page) -->
     <link href="https://techzaa.in/venton/assets/css/vendor.min.css" rel="stylesheet" type="text/css" />

     <!-- Icons css (Require in all Page) -->
     <link href="https://techzaa.in/venton/assets/css/icons.min.css" rel="stylesheet" type="text/css" />

     <!-- App css (Require in all Page) -->
     <link href="https://techzaa.in/venton/assets/css/app.min.css" rel="stylesheet" type="text/css" />

     <!-- Theme Config js (Require in all Page) -->
     <script src="https://techzaa.in/venton/assets/js/config.js"></script>
     <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-icons/1.8.1/font/bootstrap-icons.min.css">
</head>

<body>

     <!-- START Wrapper -->
     <div class="wrapper">

          <!-- ========== Topbar Start ========== -->
             <!-- ========== Topbar Start ========== -->
             <header class="topbar">
               <div class="container-fluid">
                    <div class="navbar-header">
                         <div class="d-flex align-items-center">
                              <!-- Menu Toggle Button -->
                              <div class="topbar-item">
                                   <button type="button" class="button-toggle-menu me-2">
                                        <iconify-icon icon="solar:hamburger-menu-broken" class="fs-24 align-middle"></iconify-icon>
                                   </button>
                              </div>

                              <!-- App Search-->
                              <form class="app-search d-none d-md-block ms-2">
                                   <div class="position-relative">
                                        <input type="search" class="form-control" placeholder="Search..." autocomplete="off" value="">
                                        <iconify-icon icon="solar:magnifer-linear" class="search-widget-icon"></iconify-icon>
                                   </div>
                              </form>
                         </div>

                         <div class="d-flex align-items-center gap-1">

                              <!-- Theme Color (Light/Dark) -->
                              <div class="topbar-item">
                                   <button type="button" class="topbar-button" id="light-dark-mode">
                                        <i class='bx bx-moon fs-24 align-middle'></i>
                                   </button>
                              </div>

                          
                              <!-- User -->
                              <div class="dropdown topbar-item">
                                   <a type="button" class="topbar-button" id="page-header-user-dropdown" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                        <span class="d-flex align-items-center">
                                             <img class="rounded-circle" width="32" src="#" alt="avatar-3">
                                        </span>
                                   </a>
                                   <div class="dropdown-menu dropdown-menu-end">
                                        <!-- item-->
                                        <h6 class="dropdown-header">Welcome user!</h6>
                                        <a class="dropdown-item" href="pages-profile.html">
                                             <i class="bx bx-user-circle text-muted fs-18 align-middle me-1"></i><span class="align-middle">Profile</span>
                                        </a>
                                        <a class="dropdown-item" href="apps-chat.html">
                                             <i class="bx bx-message-dots text-muted fs-18 align-middle me-1"></i><span class="align-middle">Messages</span>
                                        </a>

                                        <a class="dropdown-item" href="pages-pricing.html">
                                             <i class="bx bx-wallet text-muted fs-18 align-middle me-1"></i><span class="align-middle">Pricing</span>
                                        </a>
                                        <a class="dropdown-item" href="pages-faqs.html">
                                             <i class="bx bx-help-circle text-muted fs-18 align-middle me-1"></i><span class="align-middle">Help</span>
                                        </a>
                                        <a class="dropdown-item" href="auth-lock-screen.html">
                                             <i class="bx bx-lock text-muted fs-18 align-middle me-1"></i><span class="align-middle">Lock screen</span>
                                        </a>

                                        <div class="dropdown-divider my-1"></div>

                                        <a class="dropdown-item text-danger" href="auth-signin.html">
                                             <i class="bx bx-log-out fs-18 align-middle me-1"></i><span class="align-middle">Logout</span>
                                        </a>
                                   </div>
                              </div>
                         </div>
                    </div>
               </div>
          </header>

          

        
          <!-- ========== Topbar End ========== -->

          <!-- ========== App Menu Start ========== -->
          <div class="main-nav">
               <!-- Sidebar Logo -->
               <div class="logo-box">
                    <a href="http://localhost/temasa/dashboard_admin.php" class="logo-dark">
                         <img src="https://techzaa.in/venton/assets/images/logo-sm.png" class="logo-sm" alt="logo sm">
                         <img src="#" class="logo-lg" alt="logo dark">
                    </a>

                    <a href="http://localhost/temasa/dashboard_admin.php" class="logo-light">
                         <img src="https://techzaa.in/venton/assets/images/logo-sm.png" class="logo-sm" alt="logo sm">
                         <img src="https://techzaa.in/venton/assets/images/logo-light.png" class="logo-lg" alt="logo light">
                    </a>
               </div>

               <!-- Menu Toggle Button (sm-hover) -->
               <button type="button" class="button-sm-hover" aria-label="Show Full Sidebar">
                    <i class='bx bx-menu button-sm-hover-icon'></i>
               </button>

               <div class="scrollbar" data-simplebar>
                    <ul class="navbar-nav" id="navbar-nav">

                         <li class="menu-title">General</li>

                         <li class="nav-item">
                              <a class="nav-link" href="http://localhost/temasa/dashboard_admin.php">
                                   <span class="nav-icon">
                                        <iconify-icon icon="solar:widget-5-broken"></iconify-icon>
                                   </span>
                                   <span class="nav-text"> Dashboard </span>
                              </a>
                         </li>

                         <li class="nav-item">
                              <a class="nav-link menu-arrow" href="#sidebarProducts" data-bs-toggle="collapse" role="button" aria-expanded="false" aria-controls="sidebarProducts">
                              <span class="nav-icon">
                                        <i class="bi bi-printer"></i>
                            </span>
                                   <span class="nav-text">Impression Management</span>
                              </a>
                              <div class="collapse" id="sidebarProducts">
                                   <ul class="nav sub-navbar-nav">
                                        <li class="sub-nav-item">
                                             <a class="sub-nav-link" href="http://localhost/temasa/define-printers-post.php">Define Printing Posts</a>
                                        </li>
                                        <li class="sub-nav-item">
                                             <a class="sub-nav-link" href="http://localhost/temasa/printer_management.php">Create Printers
</a>
                                        </li>
                                        <li class="sub-nav-item">
                                             <a class="sub-nav-link" href="http://localhost/temasa/add-post.php">Post Creation</a>
                                        </li>
                                        
                                        
                                   </ul>
                              </div>
                         </li>

                         <li class="nav-item">
                        <a class="nav-link menu-arrow" href="#sidebarProducts" data-bs-toggle="collapse" role="button" aria-expanded="false" aria-controls="sidebarProducts">
                        <span class="nav-icon">
                              <i class="bi bi-currency-exchange"></i>
                            </span>
                            <span class="nav-text">Currency Management</span>
                        </a>
                        <div class="collapse" id="sidebarProducts">
                            <ul class="nav sub-navbar-nav">
                                <li class="sub-nav-item">
                                <a class="sub-nav-link" href="http://localhost/temasa/currency_management.php">Define Currencies</a>
                               
                            </ul>
                        </div>
                    </li>


                        
                        

                    </ul>
               </div>
          </div>
          <!-- ==================================================== -->
          <!-- Start right Content here -->
          <!-- ==================================================== -->
          <div class="page-content">

               <!-- Start Container Fluid -->
               <!-- Start Container Fluid -->
               <div class="container-fluid">

                    <!-- ========== Page Title Start ========== -->
                    <div class="row">
                        <div class="col-12">
                            <div class="page-title-box">
                                <h4 class="mb-0 fw-semibold"> Printer Add</h4>
                              
                            </div>
                        </div>
                    </div>
                    <!-- ========== Page Title End ========== -->

                    <div class="row">
                         <div class="col-lg-12">
                              <div class="card">
                                   <div class="card-header">
                                        <h4 class="card-title">Printer Information</h4>
                                   </div>
                                   <div class="card-body">
                                      <div class="row">
                                          <div class="col-lg-12">
                                              <form action="printer_management.php" method="POST">
                                                  <input type="hidden" name="edit_post_id" value="<?php echo $edit_printer['id'] ?? ''; ?>">
                                                  <div class="mb-3">
                                                      <label for="name" class="form-label">Printer Name</label>
                                                      <input type="text" class="form-control" id="name" name="name" value="<?php echo $edit_printer['name'] ?? ''; ?>" required>
                                                  </div>
                                                  <div class="mb-3">
                                                      <label for="description" class="form-label">Description</label>
                                                      <input type="text" class="form-control" id="description" name="description" value="<?php echo $edit_printer['description'] ?? ''; ?>" required>
                                                  </div>
                                                  <div class="mb-3">
                                                      <label for="path" class="form-label">Printer Path</label>
                                                      <input type="text" class="form-control" id="path" name="path" value="<?php echo $edit_printer['path'] ?? ''; ?>" required>
                                                  </div>
                                                  <div class="mb-3">
                                                      <p>User Status</p>
                                                      <div class="d-flex gap-2 align-items-center">
                                                          <div class="form-check">
                                                              <input class="form-check-input" type="radio" name="status" id="active" value="active" <?php echo (isset($edit_printer['status']) && $edit_printer['status'] == 'active') ? 'checked' : ''; ?>>
                                                              <label class="form-check-label" for="active">Active</label>
                                                          </div>
                                                          <div class="form-check">
                                                              <input class="form-check-input" type="radio" name="status" id="inactive" value="inactive" <?php echo (isset($edit_printer['status']) && $edit_printer['status'] == 'inactive') ? 'checked' : ''; ?>>
                                                              <label class="form-check-label" for="inactive">Inactive</label>
                                                          </div>
                                                      </div>
                                                  </div>
                                                  <button type="submit" class="btn btn-primary">Add Printer</button>
                                              </form>
                                          </div>
                                      </div>
                                  </div>

                         </div>
                    </div>
                 
                        <!-- ========== Page Title End ========== -->
        
                        <div class="card overflow-hiddenCoupons">
                             <div class="card-body p-0">
                                  <div class="table-responsive">
                                       <table class="table align-middle mb-0 table-hover table-centered">
                                            <thead class="bg-light-subtle">
                                                 <tr>
                                                      <th>ID</th>
                                                      <th>Nme</th>
                                                      <th>Desc</th>
                                                      <th>Path</th>
                                                      <th>Created At</th>
                                                      <th>Action</th>
                                                 </tr>
                                            </thead>
                                            <tbody>
                                            <?php foreach ($printers as $printer): ?>
                                                 <tr>
                                                 <td><?php echo $printer['id']; ?></td>
                    <td><?php echo $printer['name']; ?></td>
                    <td><?php echo $printer['description']; ?></td>
                    <td><?php echo $printer['path']; ?></td>
                    <td><?php echo $printer['created_at']; ?></td>
                    
                    <td>
                                                           <div class="d-flex gap-2">
                                                                <a href="printer_management.php?edit_post_id=<?php echo $printer['id']; ?>" class="btn btn-light btn-sm">
                                                                <iconify-icon icon="solar:pen-2-broken" class="align-middle fs-18"></iconify-icon>
                                                                </a>
                                                                <a href="printer_management.php?delete_post_id=<?php echo $printer['id']; ?>" class="btn btn-soft-primary btn-sm">
                                                                  
                                                                  <iconify-icon icon="solar:trash-bin-minimalistic-2-broken" class="align-middle fs-18"></iconify-icon>
                                                                </a>
                                                           </div>
                                                      </td>
                                                 </tr>
        
                                               
                                                 <?php endforeach; ?>
                                            </tbody>
                                       </table>
                                  </div>
                                  <!-- end table-responsive -->
                             </div>
                             <div class="row g-0 align-items-center justify-content-between text-center text-sm-start p-3 border-top">
                                  <div class="col-sm">
                                       <div class="text-muted">
                                            Showing <span class="fw-semibold">10</span> of <span class="fw-semibold">59</span> Results
                                       </div>
                                  </div>
                                  <div class="col-sm-auto mt-3 mt-sm-0">
                                       <ul class="pagination  m-0">
                                            <li class="page-item">
                                                 <a href="#" class="page-link"><i class="bx bx-left-arrow-alt"></i></a>
                                            </li>
                                            <li class="page-item active">
                                                 <a href="#" class="page-link">1</a>
                                            </li>
                                            <li class="page-item">
                                                 <a href="#" class="page-link">2</a>
                                            </li>
                                            <li class="page-item">
                                                 <a href="#" class="page-link">3</a>
                                            </li>
                                            <li class="page-item">
                                                 <a href="#" class="page-link"><i class="bx bx-right-arrow-alt"></i></a>
                                            </li>
                                       </ul>
                                  </div>
                             </div>
        
                   </div>

               </div>
               <!-- End Container Fluid -->

               <!-- ========== Footer Start ========== -->
               <footer class="footer">
                   <div class="container-fluid">
                       <div class="row">
                           <div class="col-12 text-center">
                               <script>document.write(new Date().getFullYear())</script> &copy; Venton. Crafted by <iconify-icon icon="iconamoon:heart-duotone" class="fs-18 align-middle text-danger"></iconify-icon> <a
                                   href="" class="fw-bold footer-text" target="_blank">Techzaa</a>
                           </div>
                       </div>
                   </div>
               </footer>
               <!-- ========== Footer End ========== -->

          </div>
          <!-- ==================================================== -->
          <!-- End Page Content -->
          <!-- ==================================================== -->

     </div>
     <!-- END Wrapper -->

     <!-- Vendor Javascript (Require in all Page) -->
     <script src="https://techzaa.in/venton/assets/js/vendor.js"></script>

     <!-- App Javascript (Require in all Page) -->
     <script src="https://techzaa.in/venton/assets/js/app.js"></script>

     <!-- Vector Map Js -->
     <script src="https://techzaa.in/venton/assets/vendor/jsvectormap/js/jsvectormap.min.js"></script>
     <script src="https://techzaa.in/venton/assets/vendor/jsvectormap/maps/world-merc.js"></script>
     <script src="https://techzaa.in/venton/assets/vendor/jsvectormap/maps/world.js"></script>

     <!-- Dashboard Js -->
     <script src="https://techzaa.in/venton/assets/js/pages/dashboard.js"></script>

</body>

</html>