<?php
require_once '../db_config.php';

if ($_SERVER['REQUEST_METHOD'] === 'GET') {
    $plan = $_GET['plan'] ?? null;

    if (!$plan) {
        echo json_encode(["error" => "Production plan is required."]);
        exit;
    }

    $stmt = $pdo->prepare("
        SELECT 
            product_code, old_product_code, brand, color_code, color_name, size_code, 
            component1, p_component1, component2, p_component2, component3, p_component3, 
            region, price_floor, price_ceparator, price_decimal, currency, template_code, ean_code 
        FROM production_plans 
        WHERE plan = :plan
    ");
    $stmt->execute(['plan' => $plan]);
    $data = $stmt->fetch();

    if ($data) {
        echo json_encode($data);
    } else {
        echo json_encode(["error" => "Production plan not found."]);
    }
}
?>
