<?php
// Database connection
$host = 'localhost';
$db = 'temasa1';
$user = 'root';
$pass = '';

// Create connection
$pdo = new PDO("mysql:host=$host;dbname=$db", $user, $pass);
$pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

// Insert template if form is submitted
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['template_name'])) {
    $template_name = $_POST['template_name'];
    $num_pages = $_POST['num_pages'];
    $path = $_POST['path'];

    // Insert the template into the database
    $sql = "INSERT INTO templates (name, num_pages, path) VALUES (?, ?, ?)";
    $stmt = $pdo->prepare($sql);
    $stmt->execute([$template_name, $num_pages, $path]);
}

// Edit template if form is submitted (for editing existing templates)
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['edit_template_id'])) {
    $template_id = $_POST['edit_template_id'];
    $template_name = $_POST['template_name'];
    $num_pages = $_POST['num_pages'];
    $path = $_POST['path'];

    $sql = "UPDATE templates SET name = ?, num_pages = ?, path = ? WHERE id = ?";
    $stmt = $pdo->prepare($sql);
    $stmt->execute([$template_name, $num_pages, $path, $template_id]);
}

// Delete template if delete button is clicked
if (isset($_GET['delete_template_id'])) {
    $template_id = $_GET['delete_template_id'];
    $sql = "DELETE FROM templates WHERE id = ?";
    $stmt = $pdo->prepare($sql);
    $stmt->execute([$template_id]);
}

// Fetch all templates
$sql = "SELECT * FROM templates";
$stmt = $pdo->query($sql);
$templates = $stmt->fetchAll();
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8" />
    <title>Template Management | Venton - Responsive Admin Dashboard Template</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="A fully responsive premium admin dashboard template" />
    <meta name="author" content="Techzaa" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <link rel="shortcut icon" href="https://techzaa.in/venton/assets/images/favicon.ico">
    <link href="https://techzaa.in/venton/assets/css/vendor.min.css" rel="stylesheet" type="text/css" />
    <link href="https://techzaa.in/venton/assets/css/icons.min.css" rel="stylesheet" type="text/css" />
    <link href="https://techzaa.in/venton/assets/css/app.min.css" rel="stylesheet" type="text/css" />
    <script src="https://techzaa.in/venton/assets/js/config.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-icons/1.8.1/font/bootstrap-icons.min.css">
</head>

<body>
    <div class="wrapper">
        <header class="topbar">
            <div class="container-fluid">
                <div class="navbar-header">
                    <div class="d-flex align-items-center">
                        <div class="topbar-item">
                            <button type="button" class="button-toggle-menu me-2">
                                <iconify-icon icon="solar:hamburger-menu-broken" class="fs-24 align-middle"></iconify-icon>
                            </button>
                        </div>
                        <form class="app-search d-none d-md-block ms-2">
                            <div class="position-relative">
                                <input type="search" class="form-control" placeholder="Search..." autocomplete="off" value="">
                                <iconify-icon icon="solar:magnifer-linear" class="search-widget-icon"></iconify-icon>
                            </div>
                        </form>
                    </div>
                    <div class="d-flex align-items-center gap-1">
                        <div class="topbar-item">
                            <button type="button" class="topbar-button" id="light-dark-mode">
                                <i class='bx bx-moon fs-24 align-middle'></i>
                            </button>
                        </div>
                        <div class="dropdown topbar-item">
                            <a type="button" class="topbar-button" id="page-header-user-dropdown" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <span class="d-flex align-items-center">
                                    <img class="rounded-circle" width="32" src="#" alt="avatar-3">
                                </span>
                            </a>
                            <div class="dropdown-menu dropdown-menu-end">
                                <h6 class="dropdown-header">Welcome user!</h6>
                                <a class="dropdown-item" href="pages-profile.html">
                                    <i class="bx bx-user-circle text-muted fs-18 align-middle me-1"></i><span class="align-middle">Profile</span>
                                </a>
                                <a class="dropdown-item" href="apps-chat.html">
                                    <i class="bx bx-message-dots text-muted fs-18 align-middle me-1"></i><span class="align-middle">Messages</span>
                                </a>
                                <a class="dropdown-item" href="pages-pricing.html">
                                    <i class="bx bx-wallet text-muted fs-18 align-middle me-1"></i><span class="align-middle">Pricing</span>
                                </a>
                                <a class="dropdown-item" href="pages-faqs.html">
                                    <i class="bx bx-help-circle text-muted fs-18 align-middle me-1"></i><span class="align-middle">Help</span>
                                </a>
                                <a class="dropdown-item" href="auth-lock-screen.html">
                                    <i class="bx bx-lock text-muted fs-18 align-middle me-1"></i><span class="align-middle">Lock screen</span>
                                </a>
                                <div class="dropdown-divider my-1"></div>
                                <a class="dropdown-item text-danger" href="auth-signin.html">
                                    <i class="bx bx-log-out fs-18 align-middle me-1"></i><span class="align-middle">Logout</span>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </header>

        <div class="main-nav">
            <div class="logo-box">
                <a href="http://localhost/temasa/dashboard_admin.php" class="logo-dark">
                    <img src="https://techzaa.in/venton/assets/images/logo-sm.png" class="logo-sm" alt="logo sm">
                    <img src="#" class="logo-lg" alt="logo dark">
                </a>
                <a href="http://localhost/temasa/dashboard_admin.php" class="logo-light">
                    <img src="https://techzaa.in/venton/assets/images/logo-sm.png" class="logo-sm" alt="logo sm">
                    <img src="https://techzaa.in/venton/assets/images/logo-light.png" class="logo-lg" alt="logo light">
                </a>
            </div>
            <button type="button" class="button-sm-hover" aria-label="Show Full Sidebar">
                <i class='bx bx-menu button-sm-hover-icon'></i>
            </button>
            <div class="scrollbar" data-simplebar>
                <ul class="navbar-nav" id="navbar-nav">
                    <li class="menu-title">General</li>
                    <li class="nav-item">
                        <a class="nav-link" href="http://localhost/temasa/dashboard_admin.php">
                            <span class="nav-icon">
                                <iconify-icon icon="solar:widget-5-broken"></iconify-icon>
                            </span>
                            <span class="nav-text"> Dashboard </span>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link menu-arrow" href="#sidebarProducts" data-bs-toggle="collapse" role="button" aria-expanded="false" aria-controls="sidebarProducts">
                            <span class="nav-icon">
                                <i class="bi bi-printer"></i>
                            </span>
                            <span class="nav-text">Impression Management</span>
                        </a>
                        <div class="collapse" id="sidebarProducts">
                            <ul class="nav sub-navbar-nav">
                                <li class="sub-nav-item">
                                    <a class="sub-nav-link" href="http://localhost/temasa/define-printers-post.php">Define Printing Posts</a>
                                </li>
                                <li class="sub-nav-item">
                                    <a class="sub-nav-link" href="http://localhost/temasa/printer_management.php">Create Printers</a>
                                </li>
                                <li class="sub-nav-item">
                                    <a class="sub-nav-link" href="http://localhost/temasa/add-post.php">Post Creation</a>
                                </li>
                            </ul>
                        </div>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link menu-arrow" href="#sidebarTemplates" data-bs-toggle="collapse" role="button" aria-expanded="false" aria-controls="sidebarTemplates">
                            <span class="nav-icon">
                                <i class="bi bi-file-earmark-text"></i>
                            </span>
                            <span class="nav-text">Template Management</span>
                        </a>
                        <div class="collapse" id="sidebarTemplates">
                            <ul class="nav sub-navbar-nav">
                                <li class="sub-nav-item">
                                    <a class="sub-nav-link" href="http://localhost/temasa/templates_management.php">Define Templates</a>
                                </li>
                            </ul>
                        </div>
                    </li>
                </ul>
            </div>
        </div>

        <div class="page-content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="page-title-box">
                            <h4 class="mb-0 fw-semibold">Template Management</h4>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-lg-12">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title">Templates</h4>
                            </div>
                            <div class="card-body">
                                <form action="templates_management.php" method="POST">
                                    <div class="mb-3">
                                        <label for="template_name" class="form-label">Template Name</label>
                                        <input type="text" class="form-control" id="template_name" name="template_name" required>
                                    </div>
                                    <div class="mb-3">
                                        <label for="num_pages" class="form-label">Number of Pages</label>
                                        <input type="number" class="form-control" id="num_pages" name="num_pages" required>
                                    </div>
                                    <div class="mb-3">
                                        <label for="path" class="form-label">Path</label>
                                        <input type="text" class="form-control" id="path" name="path" required>
                                    </div>
                                    <button type="submit" class="btn btn-primary">Add Template</button>
                                </form>

                                <!-- Display Saved Templates -->
                                <h2 class="mt-5">Saved Templates</h2>
                                <table class="table mt-3">
                                    <thead>
                                        <tr>
                                            <th>ID</th>
                                            <th>Template Name</th>
                                            <th>Number of Pages</th>
                                            <th>Path</th>
                                            <th>Created At</th>
                                            <th>Updated At</th>
                                            <th>Actions</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php foreach ($templates as $template): ?>
                                            <tr>
                                                <td><?php echo $template['id']; ?></td>
                                                <td><?php echo $template['name']; ?></td>
                                                <td><?php echo $template['num_pages']; ?></td>
                                                                                                <td><?php echo '...' . substr($template['path'], -15); ?></td>
                                                <td><?php echo $template['created_at']; ?></td>
                                                <td><?php echo $template['updated_at']; ?></td>
                                                <td>
                                                    <!-- Edit Button -->
                                                    <a href="templates_management.php?edit_template_id=<?php echo $template['id']; ?>" class="btn btn-warning btn-sm">
                                                        <i class="bi bi-pencil"></i> Edit
                                                    </a>
                                                    <!-- Delete Button -->
                                                    <a href="templates_management.php?delete_template_id=<?php echo $template['id']; ?>" class="btn btn-danger btn-sm" onclick="return confirm('Are you sure you want to delete this template?');">
                                                        <i class="bi bi-trash"></i> Delete
                                                    </a>
                                                </td>
                                            </tr>
                                        <?php endforeach; ?>
                                    </tbody>
                                </table>

                                <!-- Edit Template Form (Visible when editing) -->
                                <?php if (isset($_GET['edit_template_id'])): ?>
                                    <?php 
                                        $template_id = $_GET['edit_template_id'];
                                        $sql = "SELECT * FROM templates WHERE id = ?";
                                        $stmt = $pdo->prepare($sql);
                                        $stmt->execute([$template_id]);
                                        $template = $stmt->fetch();
                                    ?>
                                    <h2>Edit Template</h2>
                                    <form action="templates_management.php" method="POST">
                                        <div class="mb-3">
                                            <label for="template_name" class="form-label">Template Name</label>
                                            <input type="text" class="form-control" id="template_name" name="template_name" value="<?php echo $template['name']; ?>" required>
                                        </div>
                                        <div class="mb-3">
                                            <label for="num_pages" class="form-label">Number of Pages</label>
                                            <input type="number" class="form-control" id="num_pages" name="num_pages" value="<?php echo $template['num_pages']; ?>" required>
                                        </div>
                                        <div class="mb-3">
                                            <label for="path" class="form-label">Path</label>
                                            <input type="text" class="form-control" id="path" name="path" value="<?php echo $template['path']; ?>" required>
                                        </div>
                                        <input type="hidden" name="edit_template_id" value="<?php echo $template['id']; ?>">
                                        <button type="submit" class="btn btn-success">Update Template</button>
                                    </form>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>

                <footer class="footer">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-12 text-center">
                                <script>document.write(new Date().getFullYear())</script> &copy; Venton. Crafted by <iconify-icon icon="iconamoon:heart-duotone" class="fs-18 align-middle text-danger"></iconify-icon> <a href="" class="fw-bold footer-text" target="_blank">Techzaa</a>
                            </div>
                        </div>
                    </div>
                </footer>
            </div>
        </div>
    </div>

    <script src="https://techzaa.in/venton/assets/js/vendor.js"></script>
    <script src="https://techzaa.in/venton/assets/js/app.js"></script>
    <script src="https://techzaa.in/venton/assets/vendor/jsvectormap/js/jsvectormap.min.js"></script>
    <script src="https://techzaa.in/venton/assets/vendor/jsvectormap/maps/world-merc.js"></script>
    <script src="https://techzaa.in/venton/assets/vendor/jsvectormap/maps/world.js"></script>
    <script src="https://techzaa.in/venton/assets/js/pages/dashboard.js"></script>
</body>

</html>